Index: LinearAlgebra/tests/CodeChecks/Makefile.am
===================================================================
--- LinearAlgebra/tests/CodeChecks/Makefile.am	(revision 689639d55a02f461620aa8b592dbae38a20aff61)
+++ LinearAlgebra/tests/CodeChecks/Makefile.am	(revision 1e3265cfdde09115536e60489297dfea655c313f)
@@ -5,4 +5,5 @@
 	testsuite.at \
 	testsuite-config_h.at \
+	testsuite-date_in_dox.at \
 	testsuite-memdebug.at \
 	$(TESTSUITE)
@@ -12,6 +13,7 @@
 
 TESTSCRIPTS = \
-	testsuite-memdebug.at \
-	testsuite-config_h.at
+	testsuite-config_h.at \
+	testsuite-date_in_dox.at \
+	testsuite-memdebug.at
 
 max_jobs = 4
@@ -25,9 +27,15 @@
 		esac; \
 	done; \
-	$(SHELL) '$(TESTSUITE)' $$nrjobs $(TESTSUITEFLAGS)
+	$(SHELL) '$(TESTSUITE)' $$nrjobs AUTOTEST_PATH='$(abs_top_builddir)/src' $(TESTSUITEFLAGS)
 
 installcheck-local: atconfig atlocal $(TESTSUITE)
-	$(SHELL) '$(TESTSUITE)' AUTOTEST_PATH='$(bindir)' \
-	$(TESTSUITEFLAGS)
+	nrjobs=; \
+	for flag in $$MAKEFLAGS; do \
+		case $$flag in \
+		--* | =*=) ;; \
+		*j*) nrjobs="-j$(max_jobs)" ;; \
+		esac; \
+	done; \
+	$(SHELL) '$(TESTSUITE)' $$nrjobs AUTOTEST_PATH='$(bindir)' $(TESTSUITEFLAGS)
 
 clean-local:
Index: LinearAlgebra/tests/CodeChecks/testsuite-config_h.at
===================================================================
--- LinearAlgebra/tests/CodeChecks/testsuite-config_h.at	(revision 689639d55a02f461620aa8b592dbae38a20aff61)
+++ LinearAlgebra/tests/CodeChecks/testsuite-config_h.at	(revision 1e3265cfdde09115536e60489297dfea655c313f)
@@ -1,4 +1,4 @@
 AT_SETUP([Checking for present config.h include])
-AT_KEYWORDS([CodeCheck,MemDebug])
+AT_KEYWORDS([CodeCheck config_h])
 m4_include(atlocal)
 ok=""
Index: LinearAlgebra/tests/CodeChecks/testsuite-date_in_dox.at
===================================================================
--- LinearAlgebra/tests/CodeChecks/testsuite-date_in_dox.at	(revision 1e3265cfdde09115536e60489297dfea655c313f)
+++ LinearAlgebra/tests/CodeChecks/testsuite-date_in_dox.at	(revision 1e3265cfdde09115536e60489297dfea655c313f)
@@ -0,0 +1,25 @@
+AT_SETUP([Checking for present date stamp in .dox files])
+AT_KEYWORDS([CodeCheck dox date_in_dox])
+ok=""
+echo `pwd`
+echo "${#ok[*]} are ok to not contain date in .dox: ${ok[*]}."
+liste=`find ${abs_top_srcdir}/src -name '*.dox'`
+for file in $liste
+do
+  # check whether its one of the excluded ones
+  found=0
+  for item in $ok
+  do
+    if test "$item" == "`basename $file`"
+    then
+      found=1
+      break
+    fi
+  done
+  # if not, check whether it contains the include
+  if test $found -eq 0
+  then
+    AT_CHECK([egrep -q '\date [[0-9]]{4}-[[0-2]][[0-9]]-[[0-3]][[0-9]]' $file], 0, [ignore], [ignore], [echo "Could not find date stamp in $file."])
+  fi
+done
+AT_CLEANUP
Index: LinearAlgebra/tests/CodeChecks/testsuite-memdebug.at
===================================================================
--- LinearAlgebra/tests/CodeChecks/testsuite-memdebug.at	(revision 689639d55a02f461620aa8b592dbae38a20aff61)
+++ LinearAlgebra/tests/CodeChecks/testsuite-memdebug.at	(revision 1e3265cfdde09115536e60489297dfea655c313f)
@@ -1,4 +1,4 @@
 AT_SETUP([Checking for present MemDebug.hpp include])
-AT_KEYWORDS([CodeCheck,MemDebug])
+AT_KEYWORDS([CodeCheck MemDebug])
 m4_include(atlocal)
 ok="builder.cpp MemDebug.cpp SubspaceFactorizer.cpp TestRunner.cpp"
Index: LinearAlgebra/tests/CodeChecks/testsuite.at
===================================================================
--- LinearAlgebra/tests/CodeChecks/testsuite.at	(revision 689639d55a02f461620aa8b592dbae38a20aff61)
+++ LinearAlgebra/tests/CodeChecks/testsuite.at	(revision 1e3265cfdde09115536e60489297dfea655c313f)
@@ -4,5 +4,5 @@
 # In pre initial files are placed, in post results can be found to be checked by diff in this testsuite.
 
-AT_INIT([Molecular Builder])
+AT_INIT([Linear Algebra])
 AT_TESTED(egrep find grep)
 
@@ -10,6 +10,10 @@
 m4_ifdef([AT_COLOR_TESTS], [AT_COLOR_TESTS])
 
-AT_BANNER([MoleCuilder - Code Checks])
+AT_BANNER([LinearAlgebra - Code Checks])
+m4_include(atlocal)
+
 m4_include(testsuite-memdebug.at)
 
 m4_include(testsuite-config_h.at)
+
+m4_include(testsuite-date_in_dox.at)
